---
updatedAt: 2025-06-25T21:54:09.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get traits with stats by collections

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v1/collection/multi/traits": {
      "post": {
        "tags": [
          "Collection"
        ],
        "summary": "Get traits with stats by collections",
        "operationId": "get_traits_by_collectins_eth_v1_collection_multi_traits_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CollectionsParams"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Response Get Traits By Collectins Eth V1 Collection Multi Traits Post",
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/MultiCollectionTraits"
                  }
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "CollectionTrait": {
        "title": "CollectionTrait",
        "required": [
          "name"
        ],
        "type": "object",
        "properties": {
          "name": {
            "title": "Name",
            "type": "string",
            "description": "The name of the trait",
            "example": "Background"
          },
          "display_type": {
            "title": "Display Type",
            "type": "string",
            "description": "The display type of the trait",
            "example": "string"
          },
          "values": {
            "title": "Values",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SingleTraitWithFloor"
            },
            "description": "The list of single traits of Collection.Contain floor price and count. "
          },
          "min": {
            "title": "Min",
            "type": "number",
            "description": "The min value of the trait",
            "example": 1
          },
          "max": {
            "title": "Max",
            "type": "number",
            "description": "The max value of the trait",
            "example": 3
          },
          "total": {
            "title": "Total",
            "type": "integer",
            "description": "The total count of the trait",
            "example": 100
          }
        },
        "description": "Return the list of traits of an Collection.Contain floor price and count."
      },
      "CollectionsParams": {
        "title": "CollectionsParams",
        "required": [
          "collections"
        ],
        "type": "object",
        "properties": {
          "collections": {
            "title": "Collections",
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The collection filters is a array.The elements can be a contract address, collection id, slug or opensea slug.If the slug contains special characters, you need to escape them before performing the query.Maximum size is 50.",
            "example": [
              "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
              "azuki"
            ]
          }
        }
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "MultiCollectionTraits": {
        "title": "MultiCollectionTraits",
        "required": [
          "traits"
        ],
        "type": "object",
        "properties": {
          "collection_id": {
            "title": "Collection Id",
            "type": "string",
            "description": "The collection id of the collection"
          },
          "collection_name": {
            "title": "Collection Name",
            "type": "string",
            "description": "Collection name",
            "example": "Bored Ape Yacht Club"
          },
          "collection_slug": {
            "title": "Collection Slug",
            "type": "string",
            "description": "Collection slug"
          },
          "opensea_slug": {
            "title": "Opensea Slug",
            "type": "string",
            "description": "An opensea slug is generated from the corresponding opensea url link",
            "example": "boredapeyachtclub"
          },
          "contracts": {
            "title": "Contracts",
            "type": "array",
            "items": {
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string"
            },
            "description": "List of contract addresses which belong to a collection"
          },
          "traits": {
            "title": "Traits",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CollectionTrait"
            }
          }
        }
      },
      "SingleTraitWithFloor": {
        "title": "SingleTraitWithFloor",
        "type": "object",
        "properties": {
          "name": {
            "title": "Name",
            "type": "string",
            "description": "The name of trait"
          },
          "value": {
            "title": "Value",
            "type": "string",
            "description": "The value of trait"
          },
          "percentage": {
            "title": "Percentage",
            "type": "number",
            "description": "The rarity percentage of trait"
          },
          "count": {
            "title": "Count",
            "type": "integer",
            "description": "The NFT count of the trait",
            "example": 100
          },
          "eth_floor_price": {
            "title": "Eth Floor Price",
            "type": "number",
            "description": "The floor price of the trait in ETH",
            "example": 0.1
          },
          "usd_floor_price": {
            "title": "Usd Floor Price",
            "type": "number",
            "description": "The floor price of the trait in USD",
            "example": 100
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````